# Uses of Class
org.jmol.jvxl.data.JvxlData

Packages that use JvxlData
Package
Description
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.shape
org.jmol.shapesurface
org.openscience.jvxl.simplewriter

## Uses of JvxlData in org.jmol.jvxl.data

Methods in org.jmol.jvxl.data with parameters of type JvxlData
Modifier and Type
Method
Description
`static void`
JvxlCoder.`jvxlCreateColorData(JvxlData jvxlData, float[] vertexValues)`
`static String`
JvxlCoder.`jvxlGetFile(JvxlData jvxlData, MeshData meshData, String[] title, String msg, boolean includeHeader, int nSurfaces, String state, String comment)`
`static String`
JvxlCoder.`jvxlGetFile(VolumeData volumeData, JvxlData jvxlData, String[] title)`
`static String`
JvxlCoder.`jvxlGetInfo(JvxlData jvxlData)`
`static String`
JvxlCoder.`jvxlGetInfoData(JvxlData jvxlData, boolean vertexDataOnly)`

## Uses of JvxlData in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as JvxlData
Modifier and Type
Field
Description
`JvxlData`
SurfaceGenerator.`jvxlData`
`protected JvxlData`
SurfaceReader.`jvxlData`
Methods in org.jmol.jvxl.readers with parameters of type JvxlData
Modifier and Type
Method
Description
`protected void`
JvxlXmlReader.`jvxlDecodeContourData(JvxlData jvxlData, String data)`
`void`
SurfaceGenerator.`setJvxlData(JvxlData jvxlData)`
Constructors in org.jmol.jvxl.readers with parameters of type JvxlData
Modifier
Constructor
Description
``
`SurfaceGenerator(AtomDataServer atomDataServer, MeshDataServer meshDataServer, MeshData meshData, JvxlData jvxlData)`

## Uses of JvxlData in org.jmol.shape

Fields in org.jmol.shape declared as JvxlData
Modifier and Type
Field
Description
`protected JvxlData`
MeshCollection.`jvxlData`

## Uses of JvxlData in org.jmol.shapesurface

Fields in org.jmol.shapesurface declared as JvxlData
Modifier and Type
Field
Description
`JvxlData`
IsosurfaceMesh.`jvxlData`

## Uses of JvxlData in org.openscience.jvxl.simplewriter

Constructors in org.openscience.jvxl.simplewriter with parameters of type JvxlData
Modifier
Constructor
Description
``
`SimpleMarchingCubes(VoxelDataCreator vdc, VolumeData volumeData, Parameters params, JvxlData jvxlData, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)`